import '../clients/version1/CustomersNullClientV1.dart';
import '../clients/version1/CustomersDirectClientV1.dart';
import '../clients/version1/CustomersHttpClientV1.dart';
import 'package:pip_services3_components/pip_services3_components.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomersClientFactory extends Factory
{
	static final NullClientDescriptor = Descriptor('eic-customers', 'client', 'null', '*', '1.0');
	static final DirectClientDescriptor = Descriptor('eic-customers', 'client', 'direct', '*', '1.0');
	static final HttpClientDescriptor = Descriptor('eic-customers', 'client', 'commandable-http', '*', '1.0');

	CustomersClientFactory()
		: super()
	{
		registerAsType(CustomersClientFactory.NullClientDescriptor, CustomersNullClientV1);
		registerAsType(CustomersClientFactory.DirectClientDescriptor, CustomersDirectClientV1);
		registerAsType(CustomersClientFactory.HttpClientDescriptor, CustomersHttpClientV1);
	}
}
