import '../persistence/CustomersMemoryPersistence.dart';
import '../persistence/CustomersFilePersistence.dart';
import '../persistence/CustomersMongoDbPersistence.dart';
import '../logic/CustomersController.dart';
import '../services/version1/CustomersHttpServiceV1.dart';
import 'package:pip_services3_components/pip_services3_components.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomersServiceFactory extends Factory
{
	//static final Descriptor = Descriptor('eic-customers', 'factory', 'service', 'default', '1.0');
	static final MemoryPersistenceDescriptor = Descriptor('eic-customers', 'persistence', 'memory', '*', '1.0');
	static final FilePersistenceDescriptor = Descriptor('eic-customers', 'persistence', 'file', '*', '1.0');
	static final MongoDbPersistenceDescriptor = Descriptor('eic-customers', 'persistence', 'mongodb', '*', '1.0');
	static final ControllerDescriptor = Descriptor('eic-customers', 'controller', 'default', '*', '1.0');
	static final HttpServiceDescriptor = Descriptor('eic-customers', 'service', 'commandable-http', '*', '1.0');

	CustomersServiceFactory()
		: super()
	{
		registerAsType(CustomersServiceFactory.MemoryPersistenceDescriptor, CustomersMemoryPersistence);
		registerAsType(CustomersServiceFactory.FilePersistenceDescriptor, CustomersFilePersistence);
		registerAsType(CustomersServiceFactory.MongoDbPersistenceDescriptor, CustomersMongoDbPersistence);
		registerAsType(CustomersServiceFactory.ControllerDescriptor, CustomersController);
		registerAsType(CustomersServiceFactory.HttpServiceDescriptor, CustomersHttpServiceV1);
	}
}
