import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomerV1 implements IStringIdentifiable
{
  @override
	String id;
	String last_name;
	String first_name;
	String middle_name;
	String gender;
	DateTime birthdate;
	String itin;
	String passport;
	String mobile_phone;

	CustomerV1();

	CustomerV1.from(this.id, this.last_name, this.first_name, this.middle_name, this.gender, this.birthdate, this.itin, this.passport, this.mobile_phone);

	void fromJson(Map<String, dynamic> json)
	{
		id = json['id'];
		last_name = json['last_name'];
		first_name = json['first_name'];
		middle_name = json['middle_name'];
		gender = json['gender'];
		birthdate = DateTime.tryParse(json['birthdate']);
		itin = json['itin'];
		passport = json['passport'];
		mobile_phone = json['mobile_phone'];
	}

	Map<String, dynamic> toJson()
	{
		return <String, dynamic>
		{
			'id': id,
			'last_name': last_name,
			'first_name': first_name,
			'middle_name': middle_name,
			'gender': gender,
			'birthdate': birthdate.toIso8601String(),
			'itin': itin,
			'passport': passport,
			'mobile_phone': mobile_phone,
		};
	}

}
