import 'package:customers_microservice_dart/src/data/version1/data.dart';
import 'package:customers_microservice_dart/src/persistence/persistence.dart';
import 'package:pip_services3_data/pip_services3_data.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomersFilePersistence extends CustomersMemoryPersistence
{
	JsonFilePersister<CustomerV1> persister;

	CustomersFilePersistence([String path])
		: super()
	{
		persister = JsonFilePersister<CustomerV1>(path);
		loader = persister;
		saver = persister;
	}

	@override
	void configure(ConfigParams config)
	{
		super.configure(config);
		persister.configure(config);
	}
}
