import 'dart:async';
import 'package:customers_microservice_dart/src/data/version1/data.dart';
import 'package:customers_microservice_dart/src/persistence/persistence.dart';
import 'package:pip_services3_data/pip_services3_data.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomersMemoryPersistence extends IdentifiableMemoryPersistence<CustomerV1, String> implements ICustomersPersistence
{
	CustomersMemoryPersistence()
		: super()
	{
		maxPageSize = 1000;
	}

	@override
	Future<DataPage<CustomerV1>> getPageByFilter(String correlationId, FilterParams filter, PagingParams paging, SortParams sort) async 
	{
		return super.getPageByFilterEx(correlationId, composeFilter(filter), paging, null);
	}

	dynamic composeFilter(FilterParams filter)
	{
		filter = filter ?? FilterParams();

    var id = filter.getAsNullableString('id');

    return (item) {
      if (id != null && item.id != id) {
        return false;
      }
      return true;
    };
	}
}
