import 'dart:async';
import 'package:customers_microservice_dart/src/data/version1/data.dart';
import 'package:customers_microservice_dart/src/persistence/persistence.dart';
import 'package:pip_services3_mongodb/pip_services3_mongodb.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

class CustomersMongoDbPersistence extends IdentifiableMongoDbPersistence<CustomerV1, String> implements ICustomersPersistence
{
	CustomersMongoDbPersistence()
		: super('customers')
	{
		maxPageSize = 1000;
	}

	@override
	Future<DataPage<CustomerV1>> getPageByFilter(String correlationId, FilterParams filter, PagingParams paging, SortParams sort) async 
	{
		return super.getPageByFilterEx(correlationId, composeFilter(filter), paging, null);
	}

	dynamic composeFilter(FilterParams filter)
	{
		filter = filter ?? FilterParams();

		var criteria = [];

    var id = filter.getAsNullableString('id');
    if (id != null) {
      criteria.add({'_id': id});
    }

		return criteria.isNotEmpty ? {r'$and': criteria} : null;
	}
}
