import 'package:test/test.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';
import 'package:customers_microservice_dart/customers_microservice.dart';

import '../../data/TestModel.dart';

class CustomersClientV1Fixture
{
  ICustomersClientV1 _client;

	CustomersClientV1Fixture(ICustomersClientV1 client)
	{
		expect(client, isNotNull);
		_client = client;
	}

	void It_Should_Create_Customer() async 
	{
		// arrange
		var customer = TestModel.createCustomer();

		// act
		var result = await _client.createCustomer(null, customer);

		// assert
		TestModel.assertEqual(customer, result);
	}

	void It_Should_Update_Customer() async 
	{
		// arrange
		var customer = await _client.createCustomer(null, TestModel.createCustomer());

		// act
		customer.first_name = RandomText.word();

		var result = await _client.updateCustomer(null, customer);

		// assert
		TestModel.assertEqual(customer, result);
	}

	void It_Should_Delete_Customer() async 
	{
		// arrange
		var customer = await _client.createCustomer(null, TestModel.createCustomer());

		// act
		var deleted_customer = await _client.deleteCustomerById(null, customer.id);

		var result = await _client.getCustomerById(null, customer.id);

		// assert
		TestModel.assertEqual(customer, deleted_customer);
		expect(result, isNull);
	}

	void It_Should_Get_Customer_By_Id() async 
	{
		// arrange
		var customer = await _client.createCustomer(null, TestModel.createCustomer());

		// act
		var result = await _client.getCustomerById(null, customer.id);

		// assert
		TestModel.assertEqual(customer, result);
	}

}
