import 'package:pip_services3_commons/pip_services3_commons.dart';
import 'package:customers_microservice_dart/customers_microservice.dart';
import 'package:test/test.dart';

class TestModel
{
	static CustomerV1 createCustomer()
	{
		var customer = CustomerV1();
		customer.fromJson(
		{
			'id' : IdGenerator.nextLong(),
			'last_name' : RandomText.fullName(),
			'first_name' : RandomText.fullName(),
			'middle_name' : RandomText.fullName(),
			'gender' : IdGenerator.nextLong(),
			'birthdate' : RandomDateTime.nextDateTime(new DateTime(2010, 1, 1), DateTime.now()).toIso8601String(),
			'itin' : IdGenerator.nextLong(),
			'passport' : IdGenerator.nextLong(),
			'mobile_phone' : RandomText.phone(),
		}
		);
		return customer;
	}

	static void assertEqual(CustomerV1 expected, CustomerV1 actual)
	{
		expect(expected, isNotNull);
		expect(actual, isNotNull);
		expect(expected.id, actual.id);
		expect(expected.last_name, actual.last_name);
		expect(expected.first_name, actual.first_name);
		expect(expected.middle_name, actual.middle_name);
		expect(expected.gender, actual.gender);
		expect(expected.birthdate, actual.birthdate);
		expect(expected.itin, actual.itin);
		expect(expected.passport, actual.passport);
		expect(expected.mobile_phone, actual.mobile_phone);
	}

}
