import 'package:test/test.dart';
import 'package:pip_services3_commons/pip_services3_commons.dart';

import 'package:customers_microservice_dart/customers_microservice.dart';
import 'CustomersPersistenceFixture.dart';

void main() {
  group('CustomersFilePersistence', () {
    CustomersFilePersistence persistence;
    CustomersPersistenceFixture fixture;

    setUp(() async {
      persistence = CustomersFilePersistence('Customers.test.json'); // data/
      persistence.configure(ConfigParams());

      fixture = CustomersPersistenceFixture(persistence);

      await persistence.open(null);
      await persistence.clear(null);
    });

    tearDown(() async {
      await persistence.close(null);
    });

    test('CRUD Operations', () async {
      await fixture.testCrudOperations();
    });

    test('Get with Filters', () async {
      await fixture.testGetWithFilters();
    });
  });
}
